<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}

    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

             {{ super() }}
        {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Sensor</div>
                        <div class="card-body">
                            <form action="" method="">
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>ID</td>
                                            <td>{{ sensor.sensorId }}</td>
                                        </tr>
                                        <tr>
                                            <td>Nombre</td>
                                            <td>{{ sensor.name }}</td>
                                        </tr>
                                        <tr>
                                            <td>IP</td>
                                            <td>{{ sensor.ip }}</td>
                                        </tr>
                                        <tr>
                                            <td>Puerto</td>
                                            <td>{{ sensor.port }}</td>
                                        </tr>
                                        <tr>
                                            <td>Estado</td>
                                            <td>{{ sensor.status }}</td>
                                        </tr>
                                        <tr>
                                            <td>Activo</td>
                                            <td>{{ sensor.active }}</td>
                                        </tr>
                                        <tr>
                                            <td>Sismologo asociado (ID)</td>
                                            <td>{{ sensor.userId.email }}</td>
                                        </tr>
                                    </tbody>
                                </table>

                                <div class="col-md-6 offset-md-4">
                                    <a href="/modificar-sensor/{{ sensor.sensorId }}" class="btn btn-primary">
                                        Modificar Sensor
                                    </a>
                                    <a href="{{ link }}sensor/delete/{{ sensor.sensorId }}" type="submit" class="btn btn-danger">
                                        Eliminar Sensor
                                    </a>
                                </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>

  {% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>
